Package owl.translations.mastertheorem

## Class Fixpoints

- java.lang.Object
- - owl.translations.mastertheorem.Fixpoints

- All Implemented Interfaces:
    `Comparable<Fixpoints>`

      @Immutable
      public abstract class Fixpoints
      extends Object
      implements Comparable<Fixpoints>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Fixpoints()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `allFixpointsPresent​(Collection<? extends Formula.ModalOperator> formulas)` |
    `protected void` | `check()` |
    `int` | `compareTo​(Fixpoints that)` |
    `abstract boolean` | `equals​(Object o)` |
    `Set<Formula.ModalOperator>` | `fixpoints()` |
    `abstract Set<Formula.ModalOperator>` | `greatestFixpoints()` |
    `abstract int` | `hashCode()` |
    `abstract Set<Formula.ModalOperator>` | `leastFixpoints()` |
    `static Fixpoints` | `of​(Collection<? extends Formula.ModalOperator> fixpoints)` |
    `static Fixpoints` | `of​(Collection<? extends Formula.ModalOperator> leastFixpoints, Collection<? extends Formula.ModalOperator> greatestFixpoints)` |
    `Fixpoints` | `simplified()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Fixpoints

          public Fixpoints()

  - ### Method Detail

    - #### leastFixpoints

          public abstract Set<Formula.ModalOperator> leastFixpoints()

    - #### greatestFixpoints

          public abstract Set<Formula.ModalOperator> greatestFixpoints()

    - #### of

          public static Fixpoints of​(Collection<? extends Formula.ModalOperator> leastFixpoints,
                                     Collection<? extends Formula.ModalOperator> greatestFixpoints)

    - #### of

          public static Fixpoints of​(Collection<? extends Formula.ModalOperator> fixpoints)

    - #### allFixpointsPresent

          public boolean allFixpointsPresent​(Collection<? extends Formula.ModalOperator> formulas)

    - #### check

          @Check
          protected void check()

    - #### compareTo

          public int compareTo​(Fixpoints that)

      Specified by:
        `compareTo` in interface `Comparable<Fixpoints>`

    - #### equals

          public abstract boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### fixpoints

          @Lazy
          public Set<Formula.ModalOperator> fixpoints()

    - #### hashCode

          public abstract int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### simplified

          @Lazy
          public Fixpoints simplified()